# MSP::CCS::Polyconic Class Reference

`#include <Polyconic.h>`

Inheritance diagram for MSP::CCS::Polyconic:

List of all members.

## Public Member Functions

| Polyconic (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double originLatitude, double falseEasting, double falseNorthing)
| Polyconic (const Polyconic &p)
| ~Polyconic (void)
Polyconic & | operator= (const Polyconic &p)
MapProjection4Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 101 of file Polyconic.h.

## Constructor & Destructor Documentation

Polyconic::Polyconic | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | originLatitude,
|  | double | falseEasting,
|  | double | falseNorthing |
| ) |  |  |

Definition at line 131 of file Polyconic.cpp.

Polyconic::Polyconic | ( | const Polyconic & | p | ) |

Definition at line 272 of file Polyconic.cpp.

Polyconic::~Polyconic | ( | void |  | ) |

Definition at line 295 of file Polyconic.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * Polyconic::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 350 of file Polyconic.cpp.

MSP::CCS::GeodeticCoordinates * Polyconic::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 427 of file Polyconic.cpp.

MapProjection4Parameters * Polyconic::getParameters | ( |  | ) | const

Definition at line 328 of file Polyconic.cpp.

Polyconic & Polyconic::operator= | ( | const Polyconic & | p | ) |

Definition at line 300 of file Polyconic.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/polycon/Polyconic.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/polycon/Polyconic.cpp